# vim: set ts=4 sw=4 et:
# Copyright (c) 2012 Dominique Leuenberger <dimstar@opensuse.org>
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Summary:        LIVE555 Streaming Media Utilities
Name:           live555	
# bumped to +1 for now to force an upgrade, as it re-provides live555 as a package
# again, after live555 being obsoleted and provided by live555-devel
Version:        2013.04.08
Release:        4.1
Source:         http://www.live555.com/liveMedia/public/live.%{version}.tar.gz
Patch0:         %{name}-fpic.patch
License:        LGPL-2.1
Url:            http://www.live555.com/liveMedia/
Group:          Productivity/Multimedia/Sound/Utilities
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++

%description
This code forms a set of C++ libraries for multimedia streaming, 
using open standard protocols (RTP/RTCP, RTSP, SIP). These libraries 
can be used to build streaming applications

%package devel
Summary:        LIVE555 Streaming Media
Group:          Development/Languages/C and C++
Provides:       %{name}-devel-with_synchronous_interface = %{version}

%description devel
This code forms a set of C++ libraries for multimedia streaming,
using open standard protocols (RTP/RTCP, RTSP, SIP). These libraries
can be used to build streaming applications

%prep
%setup -q -n live
%__chmod 0644 config.*
%patch0 -p1

%build 
./genMakefiles linux
%__make %{?_smp_mflags} OPTFLAGS="%{optflags} -DRTSPCLIENT_SYNCHRONOUS_INTERFACE=1"

%install
install -d -m 755 %{buildroot}%{_libdir}/live
install -d -m 755 %{buildroot}%{_includedir}
find . -type f -name "*.a" -exec install {} %{buildroot}%{_libdir}/live \;
for fld in liveMedia groupsock BasicUsageEnvironment UsageEnvironment; do
  install -d -m 755 %{buildroot}%{_includedir}/$fld
  cp -rL $fld/include/* %{buildroot}%{_includedir}/$fld
done

%__chmod 0644 "%{buildroot}%{_libdir}/live"/*.a

%__install -d "%{buildroot}%{_bindir}"
find testProgs/ -type f -executable \! -name 'test*' | while read f; do
    %__install -m0755 "$f" "%{buildroot}%{_bindir}/"
done

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/MPEG2TransportStreamIndexer
%{_bindir}/openRTSP
%{_bindir}/playSIP
%{_bindir}/sapWatch
%{_bindir}/vobStreamer

%files devel
%defattr(-,root,root)
%{_libdir}/live/
%{_includedir}/liveMedia/
%{_includedir}/groupsock/
%{_includedir}/BasicUsageEnvironment/
%{_includedir}/UsageEnvironment/

%changelog
* Tue Apr  9 2013 rwooninck@opensuse.org
- Update to 2013.04.08
* Wed May 23 2012 pascal.bleser@opensuse.org
- update to 2012.05.17
* Thu May  3 2012 pascal.bleser@opensuse.org
- [PM-12] add -DRTSPCLIENT_SYNCHRONOUS_INTERFACE=1 to compile flags to enable
  the synchronous API which is required by MPlayer; see
  https://bugs.links2linux.org/browse/PM-12
- add a Provides: live555-devel-with_synchronous_interface to make sure
  MPlayer can be linked against a live555 build with that flag
* Sun Apr 15 2012 pascal.bleser@opensuse.org
- update to 2012.04.04
- live555 is now not obsoleted+provided by live555-devel any more,
  but contains the command-line tools built for testing (but which
  are useful nonetheless)
* Tue Apr  3 2012 pascal.bleser@opensuse.org
- added usage of optflags
- some spec file cleanups
* Sun Feb  5 2012 dimstar@opensuse.org
- Update to version 2012.02.04:
  + Updated "WAVAudioFileSource" to read from its input file
    asynchronously, if possible, rather than doing a synchronous
    (blocking) read.
- Changes from version 2012.02.03:
  + Updated "RTSPClient" to - after receiving a "SETUP" response
    for a UDP stream - send a couple of short 'dummy' UDP packets
    to the server.  This will make it more likely that the
    incoming RTP/UDP packets will successfully traverse a NAT box
    (if the client is behind a NAT).  (Note that we don't do this
    for RTCP, because the client's regular RTCP "RR" packets will
    have the same effect.)
  + Changed the way that the "sessionId" member field in
    "MediaSubsession" is managed.  Its memory is now managed by
    "MediaSubsession" itself, rather than by "RTSPClient" (as it
    was previously).  With the previous behavior, "valgrind"
    (incorrectly) reported a possible memory leak. The new behavior
    should make 'valgrinerds' happy.
- Drop patches that were required by VideoLAN: fixed upstream:
  + live-getaddrinfo.patch
  + live-inet_ntop.patch
  + live-uselocale.patch
* Tue Jan 31 2012 dimstar@opensuse.org
- Update to version 2012.01.26.
* Wed Nov 16 2011 dominique-vlc.suse@leuenberger.net
- Update to version 2011.11.08:
  + Added "VorbisAudioRTPSink" and "VorbisAudioRTPSource" for
    sending/receiving Vorbos audio RTP streams (based on RFC 5215).
  + Added "VP8VideoRTPSink" and "VP8VideoRTPSource" for
    sending/receiving VP8 video RTP streams.
  + Added support for extracting and streaming Vorbis audio tracks
    from Matroska (including WEBM) files.
  + Added support for extracting and streaming VP8 video tracks
    from Matroska (including WEBM) files.
  + Updated the "testOnDemandRTSPServer" and "LIVE555MediaServer"
    (source-code version only) applications to support streaming
    from ".webm' files.
  + Fixed frame durations for data extracted from Matroska tracks
    that don't have a 'default duration'.
  + Fixed a memory leak in "RTSPClient::sendOptionsCmd()".
* Sat Oct 22 2011 dominique-vlc.suse@leuenberger.net
- Update to version 2011.10.18:
  + Improved "RTSPServer" support for subdirectories in "rtsp://"
  URLs (handling this better for non-compliant clients that try to
  do a "SETUP" on agrregate URLs - when there is only a single
  subsession in the stream).
- Add a -devel subpackage, obsolete the now empty subpackage by it.
- Drop rpmlintrc file, as the devel files are now in a devel
  package.
* Thu Jun 30 2011 dominique-vlc.suse@leuenberger.net
- Update to version 2011.06.16
* Sat Oct  2 2010 dominique-vlc.suse@leuenberger.net
- Update to 2010.09.25
* Mon Aug 31 2009 dominique-vlc.suse@leuenberger.net
  2009.07.28:
- Updated "QuickTimeFileSink" to add a "stss" atom for video streams, following a suggestion by Gerardo Ares.
  (At present we just 'guess' which video 'samples' (frames) are 'key frames', so this might not work properly on some
  video streams.)
- Modified the "config.uClinux" configuration file, following a suggestion by Chetan Raj.
- Changed "RTSPClient"s implementation of the RTSP "TEARDOWN" command to always act as if the command succeeded, regardless of
  the actual response from the server (because, from the client's point of view, the session has ended).
  (This overcomes a potential memory leak, pointer out by Stuart Rawling.)
  2009.07.09:
- Modified the RTSP server implementation to - for streams where there is a known duration - always include a range end time
  in the RTSP "PLAY" response, even if the client did not specify one in the "PLAY" request.  This allows VLC's client
  'trick play' to (mostly) work.
- Updated "MediaSession::initiate()" to eliminate a possible memory leak if we get an error in socket creation.
  (Thanks to Denis Charmet.)
- Made a minor change to "MultiFramedRTPSink" to make monitoring/debugging easier.  (Thanks to Guy Bonneau.)
- Begun adding support for DV video.  However, this implementation is still incomplete.  DO NOT USE IT!
  2009.06.02:
- Updated the MPEG Transport Stream multiplexor implementation to allow for H.264 video.  (Thanks to Massimo Zito.)
- Updated "MultiFramedRTPSink" to allow for subclasses for RTP payload formats (such as DV, coming soon) that impose
  a granularity on RTP fragment sizes.
* Sun Apr 26 2009 dominique-suse.vlc@leuenberger.net
  2009.04.20:
- Fixed "BasicUsageEnvironment::getErrno()" to always (under Windows) return
  "WSAGetLastError()" (and to just ignore the "errno" variable>.
  Also fixed a few places in the code where we were still using "errno"
  instead of calling "getErrno()"
  2009.04.07:
- Changed many "char*" variables to "char const*" to eliminate possible compiler warnings.
  (Thanks to Sebastien Escudier for pointing out this issue.)
  2009.04.06:
- Modified our Windows-only version of "gettimeofday()" so that it now returns times based on the proper epoch.
  (Thanks to Patrick White for this suggestion.)
- Created a new config file for 64-bit Solaris, and renamed the old "config.solaris" file to make it
  clear that it's for 32-bit Solaris only.  (Thanks to ichael Skaastrup.)
- Modified "config.mingw" to add "-DLOCALE_NOT_USED" to the "COMPILE_OPTS =" line.  (The VLC folks seem to want
  this.)
- Made a minor change to some win32-specific code in "RTSPClient.cpp" that the VLC folks seem to like.
  (However, "RTSPClient" is about to undergo a major overhaul (for asynchronous I/O) anyway...)
- Made a small change to "mediaServer/DynamicRTSPServer.cpp" to eliminate compiler warnings on some platforms.
